Bug 198581 - OOo calc MINA() function doesn't consider blank cells as text (zero)
OOo calc MINA() function doesn't consider blank cells as text (zero)
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-07-11 22:04 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 03:58:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2006-07-11 22:04:10 EDT
Description of problem:
As said, MINA() doesn't consider blank as zero. This might be "right", but is
rather counter-intuitive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a spreadsheet with some positive numbers in it
2. Compute MINA() of a range that includes blank cells
Actual results:
Minimum of non-blank cells

Expected results:
Zero (i.e., value of blank as text is zero)

Additional info:
Dumb workaround is to fill with a space (instead of empty/blank), but it is ugly
and error-prone.
Comment 1 Caolan McNamara 2006-07-12 03:58:47 EDT
You could log that upstream directly against sc.openoffice.org's issuezilla if
you want to get an answer "from the horse's mouth", but I'm not going to get
sucked into the eternal "when is blank 0 or not" wars that always seem to rage
in the spreadsheet world :-)

Note You need to log in before you can comment on or make changes to this bug.